Download it now!
Bug 95213 - second level numbering turns bold in .DOCX export
Summary: second level numbering turns bold in .DOCX export
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.2.0 target:5.1.0.2 target:5...
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-10-21 03:54 UTC by tommy27
Modified: 2016-10-25 19:11 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
printscreen (49.85 KB, image/png)
2015-10-21 16:27 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tommy27 2015-10-21 03:54:27 UTC
previously reported here:
https://bugs.documentfoundation.org/show_bug.cgi?id=94368#c17

load this .DOC file attachment 118885 [details] 
and save it as .DOCX 

compare screenhot of the original .DOC file attachment 118860 [details]
and screenshot of the .DOCX export attachment 119808 [details]

you will notice the the second level numbering has turned into bold after .DOC to .DOCX export
 
issue previously reported by Andrew Kornilov using LibO 5.0.3.1 and recent 5.1.0.0 alpha.

I confirm bug with LibO 5.1.0.0.alpha1+
Build ID: 4b55c28940d741e53648115a9cfb58f2d6db38a5
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-10-15_06:14:50
Locale: it-IT (it_IT)
Comment 1 raal 2015-10-21 16:27:37 UTC
Created attachment 119837 [details]
printscreen

regression, works in Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e

reproducible with LO 4.4.2, linux
Comment 2 Andrew Kornilov 2015-10-21 18:11:40 UTC
Hi, LO4 also has a problem: font of the second level is wrong, as i mentioned in the linked bug: it has Sans Serif font, while it had Serif in the original DOC.
Comment 3 tommy27 2015-10-21 18:38:44 UTC
@Andrew 
yes, you mentioned in the previous bug report.
however this is another problem.

please retest it with LibO 5.0.3.x
if that bug is still present open a new separate bug report about it.
if the bug is not present in 5.0.x don't do anything... the 4.4.x branch is very close to it's end of life and there's probably no chance to backport
Comment 4 Andrew Kornilov 2015-10-21 21:59:30 UTC
(In reply to tommy27 from comment #3)
> @Andrew 
> yes, you mentioned in the previous bug report.
> however this is another problem.
> 
> please retest it with LibO 5.0.3.x
> if that bug is still present open a new separate bug report about it.
> if the bug is not present in 5.0.x don't do anything... the 4.4.x branch is
> very close to it's end of life and there's probably no chance to backport

Ah, sorry. No, it's not reproducible on 5.0.x, so the only problem is bold text for now, yes.
Comment 5 raal 2015-12-07 19:47:28 UTC
This seems to have begun at the below commit.
Adding Cc: to Miklos Vajna ; Could you possibly take a look at this one?
Thanks

9922573fe15fcb3e924d5ea287ff5881a5371970 is the first bad commit
commit 9922573fe15fcb3e924d5ea287ff5881a5371970
Author: Matthew Francis <mjay.francis@gmail.com>
Date:   Sun Mar 15 03:05:02 2015 +0800

    source-hash-f5ba3098b4406ff8656f2710df8af6ca6edcddc8
    
    commit f5ba3098b4406ff8656f2710df8af6ca6edcddc8
    Author:     Miklos Vajna <vmiklos@collabora.co.uk>
    AuthorDate: Thu Sep 25 10:12:14 2014 +0200
    Commit:     Miklos Vajna <vmiklos@collabora.co.uk>
    CommitDate: Thu Sep 25 10:40:47 2014 +0200
    
        fdo#83465 writerfilter: import font of numbering
    
        Change-Id: I0afe389fa6ea8b4c701232c6ecb425d5fdcde5fe

bibisect-44max$ git bisect log
# bad: [cf6ea17155fabb2a120ba07c150735591ac861d7] source-hash-3f94c9e9ddfd807b449f3bb9b232cf2041fa12d2
# good: [fc71ac001f16209654d15ef8c1c4018aa55769f5] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
git bisect start 'latest' 'oldest'
# good: [8cf60cc706948588e2f33a6d98b7c55d454e362a] source-hash-f340f0454627939f1830826fb5cc53a90e6c62a4
git bisect good 8cf60cc706948588e2f33a6d98b7c55d454e362a
# bad: [7beddf3808dadd525d7e55c00a5a90a2b44c23d3] source-hash-2f10386ce577f52e139aa23d41bc787d8e0b4d59
git bisect bad 7beddf3808dadd525d7e55c00a5a90a2b44c23d3
# good: [7d319609d8266af06aa3256fd3773d052b9150dc] source-hash-1fec67aab152e0c0ad6dd85082c50f1beff7d520
git bisect good 7d319609d8266af06aa3256fd3773d052b9150dc
# bad: [136c4fdf380a2d05111e313540e4be01a74c4eb6] source-hash-7bacb89bb955f4985e435c33dde629099dab744b
git bisect bad 136c4fdf380a2d05111e313540e4be01a74c4eb6
# good: [f3c053a278b473b5029baf72c02bdc3d78289b51] source-hash-a37a8733609a59eccabf89b2ff67d5ee6bf194bb
git bisect good f3c053a278b473b5029baf72c02bdc3d78289b51
# bad: [30a34b701cf5b78868db5cc5ec7df738a54a5efb] source-hash-63ec219eca557c562433c4e9965a6f154e5966b5
git bisect bad 30a34b701cf5b78868db5cc5ec7df738a54a5efb
# bad: [c320c76f9eeeac6cb7a008b0840ffda2b5ff95da] source-hash-763a0d8ade51685b1138377a022a36fde99acc15
git bisect bad c320c76f9eeeac6cb7a008b0840ffda2b5ff95da
# good: [1745e132f108492638b8c90e9ab66a427b30acfb] source-hash-bad30ceceee6750b6ece0057080473383d216ea7
git bisect good 1745e132f108492638b8c90e9ab66a427b30acfb
# bad: [db1ed29b2c0a86f7fa07eeb236074653271c5630] source-hash-cadcbae92323cc715fc7e8241e5b9a6369d20eb8
git bisect bad db1ed29b2c0a86f7fa07eeb236074653271c5630
# bad: [c3f6edb3080a757a77d4ec7db5ce42f8989d9c5e] source-hash-c35db5ca9d82554149d6a63e159c2da6037fa867
git bisect bad c3f6edb3080a757a77d4ec7db5ce42f8989d9c5e
# bad: [9922573fe15fcb3e924d5ea287ff5881a5371970] source-hash-f5ba3098b4406ff8656f2710df8af6ca6edcddc8
git bisect bad 9922573fe15fcb3e924d5ea287ff5881a5371970
# good: [d52cbe27635c48b8107bb3319748c5e8eadef1cd] source-hash-030812e5dce29080f3fd24bbd7bdd2b6b4ec649e
git bisect good d52cbe27635c48b8107bb3319748c5e8eadef1cd
# good: [0d793357e55c3eac64bfeacdde243851d3542da8] source-hash-76034b4962027155a44b1c6aab665ac12fecf952
git bisect good 0d793357e55c3eac64bfeacdde243851d3542da8
# first bad commit: [9922573fe15fcb3e924d5ea287ff5881a5371970] source-hash-f5ba3098b4406ff8656f2710df8af6ca6edcddc8
Comment 6 Robinson Tryon (qubit) 2015-12-13 11:14:25 UTC Comment hidden (obsolete)
Comment 7 Miklos Vajna 2015-12-28 22:25:11 UTC
(In reply to raal from comment #5)
> This seems to have begun at the below commit.
> Adding Cc: to Miklos Vajna ; Could you possibly take a look at this one?

Yes, I'll take care of this.
Comment 8 Commit Notification 2016-01-07 08:14:53 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f9c8d97d82a85b897520a2fe897352ee5ad879d9

tdf#95213 DOCX import: don't reuse list label styles

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2016-01-12 15:12:41 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7787395c25d182e4c802881ec852b8d3ad3dd46a&h=libreoffice-5-1

tdf#95213 DOCX import: don't reuse list label styles

It will be available in 5.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Andrew Kornilov 2016-01-19 22:12:38 UTC
Hi,

Not sure, whether my new bug about that document is related to this one. But it seems to me they have the same roots.
So please check this one: https://bugs.documentfoundation.org/show_bug.cgi?id=97264
Comment 11 raal 2016-01-20 09:10:19 UTC
(In reply to Andrew Kornilov from comment #10)
> Hi,
> 
> Not sure, whether my new bug about that document is related to this one. But
> it seems to me they have the same roots.
> So please check this one:
> https://bugs.documentfoundation.org/show_bug.cgi?id=97264

Hello, you can test it by yourself with dev version?  You can download it here: http://dev-builds.libreoffice.org/daily/master/
Comment 12 Andrew Kornilov 2016-01-20 12:39:54 UTC
(In reply to raal from comment #11)

> Hello, you can test it by yourself with dev version?  You can download it
> here: http://dev-builds.libreoffice.org/daily/master/

Hi,

Just tested: the issue is still here (i mean the new issue with wrong font face; the issue with wrong font weight is fixed;  actually, that wrong font face was there from the beginning).
Comment 13 Commit Notification 2016-01-25 21:11:06 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=af55185eb9ffcf903bba22cad736797162a7eb4d&h=libreoffice-5-0

tdf#95213 DOCX import: don't reuse list label styles

It will be available in 5.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Andrew Kornilov 2016-01-26 12:43:01 UTC
Hi,


> Hello, you can test it by yourself with dev version?  You can download it
> here: http://dev-builds.libreoffice.org/daily/master/

Hi,

Any ideas about https://bugs.documentfoundation.org/show_bug.cgi?id=95213#c10 ?
It might have been related to this one (so it's might not be resolved)
Thank you.